
@font-face {
    font-family: "Felidae";
    src: url("fonts/Felidae.ttf") format("truetype");
}
@font-face {
    font-family: "Betmo";
    src: url("fonts/Betmo Regular Cyr.otf") format("truetype");
}
@font-face {
    font-family: "Caravan";
    src: url("fonts/Caravan.otf");
}
@font-face {
    font-family: "DolomanPavljenko";
    src: url("fonts/DolomanPavljenko.otf");
}

@font-face {
    font-family: "Aurora";
    src: url("fonts/aurorascript.ttf");
}
@font-face {
    font-family: "Peach Cream";
    src: url("fonts/Peach Cream.otf");
}
@font-face {
    font-family: "Novelist";
    src: url("fonts/Novelist_free.otf");
}

* {
    margin: 0;
    padding: 0;
    font-family: "Poiret One", sans-serif;
    user-select: none;

}

.watermark {
    content: "ya-invite";
    position: fixed;
    font-size: 80px;
    color: rgba(0, 0, 0, 0.08);
    transform: rotate(-25deg);
    pointer-events: none;
    z-index: 55555;
    white-space: nowrap;
    font-weight: 600; /* выглядит аккуратнее */
}



body::after {
    content: "ya-invite";
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-25deg);
    font-size: 80px;
    color: rgba(0,0,0,0.08);
    pointer-events:none;
    z-index:5555555;
    white-space:nowrap;
}

html::after {
    content: "ya-invite";
    position: fixed;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-25deg);
    font-size: 80px;
    color: rgba(0,0,0,0.08);
    pointer-events:none;
    z-index:555555;
    white-space:nowrap;
}
.container {
    max-width: 1100px;
    margin: 0 auto;
}
.hidden {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.show {
    opacity: 1;
    transform: translateY(0);
}
#preloader {
    font-family: "Poiret One", sans-serif;
    position: fixed;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 24px;
    flex-direction: column;
    opacity: 1;
    transition: opacity 1s ease;
    text-align: center;
    overflow: hidden;
    /*background-image: url("images/bg.jpg");*/
    /*background-size: cover;*/
    /*background-position: center;*/
    /*background-repeat: no-repeat;*/
    /*background-attachment: fixed;*/
}
#bg-video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: translate(-50%, -50%);
    z-index: -1;
}
.preloader-text {
    position: relative;
    z-index: 1;
    background: rgba(0, 0, 0, 0.3); /* Затемнённый фон для текста */
    padding: 70px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;

}
#content {
    display: none;
    opacity: 0;
    transition: opacity 1s ease;
}
#swipe-area {
    position: relative;
    margin-top: 20px;
    cursor: pointer;
    width: 400px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#circle {
    cursor: pointer;
    position: absolute;
    left: 0;
    top: 32px;
    transition: left 0.1s ease;
    z-index: 555;
}
#circle svg{
    width: 40px;
    height: 40px;
}
#end-circle {
    width: 60px;
    height: 60px;
    border: 1px solid white; /* Затемненный круг */
    border-radius: 50%;
    position: absolute;
    right: 0;
    transition: opacity 0.5s ease-in-out;
    z-index: 2;
}
#arrow {
    position: absolute;
    left: 50px;
    font-size: 30px;
    color: white;
    z-index: 1;
    user-select: none;
}
.preloader-wed-day, .preloader-name, .razblock {
    opacity: 0;
    transform: scale(0.8);
    animation: fadeInScale 1s ease-out forwards;
}
.preloader-wed-day {
    font-size: 50px;
    font-family: "Betmo", sans-serif;
    animation-delay: 0.3s;
}
.preloader-name {
    font-size: 65px;
    margin: 30px 0 50px 0;
    font-family: "Felidae", sans-serif;
    animation-delay: 0.8s;
}
.preloader-name.fraza {
    font-size: 30px;
    margin: 20px 0;
    font-family: "Felidae", sans-serif;
    animation-delay: 0.6s;
}
.razblock {
    animation-delay: 0.9s;
}
@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.8);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}

.music-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 50px;
    gap: 30px;
    margin-bottom: 30px;
}

.music-button {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    order: 2;
}


.music-btn {
    width: 50px;
    height: 50px;
    background: transparent !important;
    border: 1px solid black;
    border-radius: 50%;
    color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    cursor: pointer;
    position: relative;
    z-index: 2;
    order: 2;
}



.music-text {
    font-size: 30px;
    text-align: left;
    color: black;
    order: 1;
}
@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 0.8;
    }
    100% {
        transform: scale(1.5);
        opacity: 0;
    }
}
.invite {
    max-width: 640px;
    background-image: url("./images/DSC_2122.jpg");
    background-size: cover;
    margin: 0 auto;
    background-repeat: no-repeat;
    position: relative;
    background-position: center;
}
.invite::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50%; /* регулируйте, сколько градиента вам нужно */
    background: linear-gradient(to top, white, transparent);
    z-index: 1; /* чтобы градиент был поверх изображения */
}


.invite .container {
    padding: 500px 0 70px;
    text-align: center;
}



/*.invite-text {*/
/*    !*font-family: "Poiret One", sans-serif;*!*/
/*    !*font-family: "Book Antiqua", sans-serif;*!*/
/*    font-family: "Cormorant Infant", sans-serif;*/

/*    font-size: 220px;*/
/*    position: relative;*/
/*    z-index: 1;*/
/*    opacity: 0;*/
/*    transform: scale(0.8);*/
/*    filter: blur(10px);*/
/*    animation: fadeInScale 1.5s ease-out forwards;*/
/*    animation-delay: 0.5s;*/


/*}*/
@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.8);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}
.niz .invite-text {
    top: 0;
    left: 20px;
    transform: translate(0);
    font-size: 130px;
    /*color: black;*/
    color: #b39898;
}
.niz .invite-name {
    font-size: 45px;
    left: -9px;
}
.niz-text {
font-weight: bold;
    position: absolute;
    bottom: 13px;
    left: 0;
    font-size: 20px;
}
.invite-name {
    /*font-family: "Book Antiqua", sans-serif;*/
    font-family: "Caravan", sans-serif;
    font-size: 75px;
    /*font-size: 35px;*/
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    z-index: 2;
    background: none; /* Убираем фон */
    color: white;

    /*background: rgba(255, 255, 255, 0.01); !* Полупрозрачный фон *!*/
    /*backdrop-filter: blur(10px); !* Размытие нижнего слоя *!*/
    /*-webkit-backdrop-filter: blur(10px);*/

}



.main-name {
    position: relative;
}
.his-name, .her-name, .icon-name {
    font-family: "Aurora", sans-serif;
    font-size: 100px;
   text-align: center;
    color: black;

}
.his-name {
    top: -80px;
    left: 143px;
}
.her-name {
    top: -20px;
    right: 117px;
}
.icon-name {
    font-size: 30px;
    top: 50%;
    left: 47%;
    transform: translate(-50%, -50%);
}
.main {
    position: relative;
    padding: 80px 0;

    color: #c69870;

}
.main .container {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: black;
}
.main-title {
    margin-top: 50px;

}
.main-title, .main-date, .location-title, .program-title,
.dresscode-title, .details-title, .presence-title, .timout-title {
    font-family: "Novelist", sans-serif;
    font-size: 77px;
    margin-bottom: 30px;
    text-align: center;
}
.main-date {
    margin-bottom: 0px;
}
.main-text {
    text-align: center;
    font-size: 30px;

}
.main-text b {
    font-size: 40px;
}
.main-text span{
    font-size: 50px;
    margin-bottom: 20px;
}
.main-your {
    font-family: "Caravan", sans-serif;
    font-size: 160px;
    top: -8px;
    right: -170px;
    color: #d7cfc3;
    position: absolute;
}

.calendar {
    width: 400px;
    max-width: 100%;
    padding: 20px;
    text-align: center;
    display: inline-block;
}
.calendar-date {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    justify-content: center;
}
.calendar-date .month,
.calendar-date .year{
    font-size: 30px;
    margin-bottom: 20px;
}

.days {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 0px;
    font-size: 29px;
    justify-items: center;
    justify-content: center;
}
.day {
    padding: 10px;
    width: 40px;
    height: 40px;
    position: relative;
}
.day.empty {
    background: transparent;
}
.heart {
    font-size: 46px;
    position: absolute;
    bottom: -22px;
    right: -20px;
    z-index: 55;
    color: #c69870;
}
.heart svg {
    width: 100px;
    height: 100px;
}






.location {
    padding: 0 0 100px 0;
}
.location .container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.location-title {
    font-weight: normal;
    text-align: center;
}

.gallery {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    flex-direction: column;
}

.gallery p {
    text-align: center;
}

.center-card {
    position: relative;
    border-radius: 15px;
    text-align: center;
    margin-bottom: 30px;

}

.center-card img {
    width: 422px;
    height: 425px;
    object-fit: cover;
    object-position: right;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 2;
}

h2 {
    font-size: 24px;
    margin: 10px 0 5px;
}

p {
    font-size: 28px;
}


.location a {
    font-family: "Book Antiqua", sans-serif;
    font-size: 24px;
    text-decoration: none;
    outline: none;
    color: black;
    width: 300px;
    box-sizing: border-box;
    border: 1px solid black;
    padding: 20px;
    display: inline-block;
    cursor: pointer;
    margin-top: 30px;
    text-align: center;
}
.location a:hover {
    color: #262626;
    background-color: white;

}


.items-svg {
    position: absolute;
    bottom: -16px;
    left: 103px;
}
.item-month {
    font-family: "Caravan",sans-serif;
    position: absolute;
    font-size: 60px;
    bottom: -45px;
    left: 110px;
    rotate: -20deg;
}
.items-svg svg{
   width: 90px;
    height: 90px;
}
.program {
    padding-bottom: 70px;
}

.program-title {
    position: relative;
    text-align: center;

}
.program-day {
    font-family: "Caravan", sans-serif;
    font-size: 160px;
    top: 24px;
    right: 291px;
    color: #d7cfc3;
    position: absolute;
    z-index: -1;
}

.timeline {
    display: flex;
    flex-direction: column;
    gap: 20px;
    max-width: 528px;
    margin: auto;
    position: relative;
}

.time-info a {
    text-decoration: none;
    outline: none;
    color: #595959;
    display: inline-block;
    cursor: pointer;
}
.time-info a:hover {
    color: #d4cfcc;
    display: inline-block;
    cursor: pointer;

}
.event {
    display: flex;
    flex-direction: column;


}

.icon {
    display: flex;
    justify-content: center;
}

.time-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    text-align: left;

}

.description {
    margin-bottom: 30px;
    font-family: "Novelist", sans-serif;
    font-size: 30px;
}


.program-des {
    font-size: 20px;
}

.time-info .text {
    font-size: 16px;
}



.icon.second svg, .icon.three svg, .icon.four svg, .icon.first svg  {
    width: 50px;
    height: 50px;
}

.dresscode {
    padding-bottom: 10px;
    position: relative;
}
.wishes {
    padding-top: 90px;
    padding-bottom: 50px;
}
.dresscode-wed {
    position: absolute;
    /*top: 40%;*/
    /*left: -30%;*/
    top: 52%;
    left: 67px;
    rotate: 270deg;
    font-family: "Book Antiqua", sans-serif;
    text-transform: uppercase;
    font-size: 85px;
    color: white;
}
.dresscode-info {
    text-align: center;
    font-size: 30px;
}
.dresscode-info-blocks {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-top: 20px;
    margin-bottom: 30px;
}

.dresscode-info-block {
    width: 80px;
    height: 80px;
    border-radius: 50%;
}

.dresscode-info-block.one {
    background-color: #9da5a8;
}
.dresscode-info-block.two {
    background-color: #c1c8d0;
}
.dresscode-info-block.three {
    background-color: #ddcfc6;
}
.dresscode-info-block.four {
    background-color: #e6c3af;
}
.dresscode-info-block.five {
    background-color: #ddb09d;
}
.dresscode-info-block.six {
    background-color: #f3e0d9;
}


.details {
    padding-bottom: 50px;
    padding-top: 50px;
}
.details-text.shtarf  {
    text-align: left;
}
.details-title {
    position: relative;
    text-align: center;
}
.details-text {
    margin-bottom: 30px;
}
.details-text, .details-tg {
    text-align: center;
    font-size: 30px;
    font-weight: normal;
}
.details-text a{
    display: inline-block;
    text-decoration: none;
    color: black;
    font-weight: bold;
    font-size: 20px;
}
.details-tg a{
    margin-top: 30px;
    display: inline-block;
    text-decoration: none;
    color: black;
    border: 1px solid black;
    padding: 5px 5px 10px 5px;
    font-weight: bold;
}
.details-tg a:hover {
    color: black;
    background-color: #9a9999;
    border: 1px solid black;
}
.presence {
    padding: 100px 0;
}

.presence-title {
    position: relative;
}



.presence-text {
    text-align: center;
    font-size: 30px;
    font-weight: normal;
    margin-bottom: 30px;
}
.des {
    font-size: 18px;
}

.wedding-form {
    max-width: 700px;
    margin: 0 auto;
    padding: 20px;
    font-size: 30px;
    text-align: left;
    font-family: "Cormorant Infant", sans-serif;

    fieldset {
        border: none;
        margin-bottom: 15px;
    }

    legend {
        font-weight: bold;
        margin-bottom: 5px;
    }

    label {
        display: block;
        margin: 5px 0;
    }

    input[type="text"],
    textarea {
        width: 97%;
        padding: 8px;

        border: 1px solid black;
        border-radius: 5px;
        font-size: 16px;
    }
    .wedding-form input[type="radio"],
    .wedding-form input[type="checkbox"],
    textarea {
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
    }

    textarea {
        min-height: 100px;
    }

    button {
        -webkit-appearance: none; /* Убирает дефолтные стили в Safari */
        -moz-appearance: none; /* Для Firefox */
        appearance: none; /* Общий сброс */
        width: 100%;
        padding: 10px;
        color: black;
        background-color: white;
        border: 1px solid black;

        border-radius: 5px;
        cursor: pointer;
        font-size: 16px;

        &:hover {
            background: #262626;
        }
    }
}
@supports (-webkit-appearance: none) {
    .wedding-form {
        max-width: 700px;
        margin: 0 auto;
        padding: 20px;
        font-size: 30px;
        font-family: "Cormorant Infant", sans-serif;
    }

    fieldset {
        border: none !important;
        padding: 0;
    }

    legend {
        font-weight: bold;
        margin-bottom: 5px;
    }

    label {
        display: block;
        margin: 5px 0;
    }

    input[type="text"],
    textarea {
        width: 97%;
        padding: 8px;
        border: 1px solid #5c5c5c;
        border-radius: 5px;
        font-size: 16px;
    }

    textarea {
        min-height: 100px;
    }

    button {
        width: 100%;
        padding: 10px;
        background: #5c5c5c;
        color: #f8efea;
        border: none;
        border-radius: 5px;
        cursor: pointer;
        font-size: 16px;

        &:hover {
            background: #262626;
        }
    }
}


    .timout {
        padding: 0 0 100px 0;
    }

    .timout-title {
        text-align: center;
        white-space: nowrap;
        font-size: 40px;
    }

    #countdown, #countdown2 {
        display: flex;
        justify-content: center;
        gap: 10px;
    }

    .time-box {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        color: black;
        padding: 15px;
        text-align: center;
        border: 1px solid black;
        border-radius: 50%;
        width: 40px; /* Фиксированная ширина */
        height: 40px;

    }

    .time-box span {
        font-size: 20px;
        font-weight: bold;
        line-height: 1;
    }

    .time-box p {
        margin: 5px 0 0;
        font-size: 14px;
        text-transform: uppercase;
        opacity: 0.8;
        font-weight: bold;
    }



